%define name rhythmbox-applet
%define version 0.1.6
%define release 1mdk

Summary: Rhythmbox control applet for the GNOME panel
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://web.ics.purdue.edu/~kuliniew/rhythmbox-applet/downloads/%{name}-%{version}.tar.bz2
License: GPL
Group: Monitoring
Url: http://web.ics.purdue.edu/~kuliniew/rhythmbox-applet/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gnome-panel-devel
BuildRequires: scrollkeeper
BuildRequires: perl-XML-Parser
BuildRequires: rhythmbox
Requires: rhythmbox

%description
Rhythmbox Applet is a small, simple GNOME panel applet 
that lets you control Rhythmbox's playback from a panel. 

Advantages that this applet has over using the icon 
Rhythmbox puts in the notification area include:

    * One-click access to the main operations needed 
      during playback, without needing to use a context menu.
    * Display of the current playing time without 
      requiring a mouse-over.
    * Display of the current song's album in the song information.
    * More in the spirit of the GNOME Human Interface Guidelines. 

%prep
%setup -q

%build
%configure2_5x
make

%install
rm -rf %buildroot
%makeinstall_std
%find_lang %name --with-gnome

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
update-desktop-database %_datadir/applications > /dev/null

%preun
if [ $1 -eq 0 ]; then
  GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
fi

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc TODO AUTHORS ChangeLog COPYING NEWS README THANKS
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_libdir}/bonobo/servers/GNOME_Rhythmbox_Applet.server
%{_libdir}/rhythmbox-applet
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/gnome-2.0/ui/GNOME_Rhythmbox_Applet.xml
%{_datadir}/%{name}/%{name}.glade

%changelog
* Tue Mar 22 2005 Jerome Soyer <saispo@mandrake.org> 0.1.6-1mdk
- 0.1.6

* Tue Feb 15 2005 Jerome Soyer <saispo@mandrake.org> 0.1.5.1-1mdk
- 0.1.5.1

* Tue Feb 08 2005 Jerome Soyer <saispo@mandrake.org> 0.1.5-1mdk
- 0.1.5

* Sat Jan 01 2005 Jerome Soyer <saispo@mandrake.org> 0.1.4-1mdk
- 0.1.4
- Happy New Year !

* Wed Sep 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-2mdk
- fix buildrequires

* Tue Sep 21 2004 Jerome Soyer <saispo@mandrake.org> 0.1.3-1mdk
- 0.1.3

* Sun Aug 08 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 0.1.2-1mdk
- first build
